Novell is now a part of Micro Focus

Security update for derby

Knowledgebase

(Last modified: 10JAN2008)


solutions Security update for derby SuSE Linux Maintenance Web (a0978bb48c3f087371c4b4421b7c7063)

Applies to

Package: derby
Product(s): SLE SDK 10 SP1 for x86
SLE SDK 10 SP1 for IBM iSeries and IBM pSeries
SLE SDK 10 SP1 for IBM zSeries
SLE SDK 10 SP1 for X86-64
Zypp-Patch-Number: 4885
Release: 20080110
Obsoletes: none

Indications

Install this update.

Contraindications

None.

Problem description

Apache Derby did not determine schema privilege requirements during the DropSchemaNode bind phase, which allows remote authenticated users to execute arbitrary drop schema statements in SQL authorization mode. (CVE-2006-7217)
This update also brings a new requirement of a Java 1.5 JRE. Unfortunately this makes an update for Itanium impossible, so Itanium packages are left out.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fhv derby.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus